[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragMessage

DragManager message types.

## Declaration

Source position: controls.pp line 340

`type TDragMessage = (`
`dmDragEnter,` |  |
`dmDragLeave,` |  |
`dmDragMove,` |  |
`dmDragDrop,` |  |
`dmDragCancel,` |  |
`dmFindTarget` |  |
`);`

## Description

All messages are sent to the target control, except dmDragDrop and dmDragCancel is sent to the source control.

    dmDragEnter: mouse enters control
    dmDragLeave: mouse leaves control
    dmDragMove: mouse moves over control (after dmDragEnter)
    dmDragDrop: control dropped
    dmDragCancel: dragging aborted
    dmFindTarget: find child control under the mouse

The latest version of this document can be found at lazarus-ccr.sourceforge.net.